net.corda.core.serialization

## Class ReferencesAwareJavaSerializer

- net.corda.core.serialization.ReferencesAwareJavaSerializer

-     public class ReferencesAwareJavaSerializer

  Improvement to the builtin JavaSerializer by honouring the Kryo.getReferences setting.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ReferencesAwareJavaSerializer` | `INSTANCE` Improvement to the builtin JavaSerializer by honouring the Kryo.getReferences setting.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<java.lang.Object> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, java.lang.Object obj)`

- - ### Field Detail

    - #### INSTANCE

          public static ReferencesAwareJavaSerializer INSTANCE

      Improvement to the builtin JavaSerializer by honouring the Kryo.getReferences setting.

  - ### Method Detail

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            java.lang.Object obj)

    - #### read

          public java.lang.Object read(com.esotericsoftware.kryo.Kryo kryo,
                                       com.esotericsoftware.kryo.io.Input input,
                                       java.lang.Class<java.lang.Object> type)